
Figure - Bug #112015
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】系统时间设置为12小时制时，状态栏时间后面没有带“AM”或“PM”标记
2022-09-19 14:34 - CD Test赵飞

Status: CLOSED Start date: 2022-09-19

Priority: Normal Due date: 2022-09-26

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

Reproducibility: Every time Fixed Version: 2022-09-21

Test Type: IT Root cause: SystemUI中代码中Clock默认属性GONE（不带AM/PM），需更改为NORMAL（带AM/PM）

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置 - 系统

2、关闭"使用24小时制"开关

3、查看状态栏时间显示

【预期结果】

3、状态栏时间显示为12小时制，时间后面带有“AM”或“PM”标记

【实际结果】

3、状态栏时间显示为12小时制，时间后面没有带“AM”或“PM”标记

【复现率】

5/5

【Log】

截图见附件

History

#1 - 2022-09-20 16:29 - CD FW-王伟

- Assignee changed from CD APP-王营 to CD- FW-石豪

#2 - 2022-09-20 19:33 - CD- FW-石豪

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

- Fixed Version set to 2022-09-21

- Root cause set to SystemUI中代码中Clock默认属性GONE（不带AM/PM），需更改为NORMAL（带AM/PM）
【根本原因】AOSP代码中默认属性GONE（不带AM/PM），需更改为NORMAL（带AM/PM）

【解决方案】布局中默认属性NORMAL

【提交代码】

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/150144

【合入日期】0920，请在0921或之后版本验证

【验证方式】设置->系统->日期和时间-->使用12小时制，观察顶部状态时间格式

#3 - 2022-09-20 19:34 - CD- FW-石豪

- Assignee changed from CD- FW-石豪 to CD Test赵飞

#4 - 2022-09-22 17:11 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

验证结果：PASS

#5 - 2022-09-22 17:11 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:34 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150144 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:StatusBar:Status bar time default normal modeNormal mode shows AM and PMTC-RID: 1201-0201801IssueID: TS-R-DF-112015Change-Id:

I1bad1b617ce07181cf5e95a5fd5397afaf4f661a

Files

screenshot.jpg 176 KB 2022-09-19 CD Test赵飞

PRD.png 55.9 KB 2022-09-19 CD Test赵飞
